'use strict';

var id = require('./id.js');
var _eq = require('./_eq.js');
var _zipWith = require('./_zipWith.js');

function endsWith(as, bs) {
  var n = Math.min(as.length, bs.length);
  return _zipWith(_eq, as.slice(-n), bs.slice(-n)).every(id);
}

module.exports = endsWith;
