'use strict';

require('./curry.js');
require('./chunk-ba04ad2f.js');
require('./chunk-d7703e54.js');
require('./variadic.js');
require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-56a5551b.js');
require('./chunk-e6d921c6.js');
var __chunk_5 = require('./chunk-ac19a55d.js');
var concat = require('./concat.js');
var empty = require('./empty.js');
var head = require('./head.js');
var tail = require('./tail.js');

function intersperse(s, as) {
  var prependToAll = function prependToAll(bs) {
    return empty(bs) ? __chunk_5.mempty(bs) : concat(s, head(bs), prependToAll(tail(bs)));
  };

  return empty(as) ? __chunk_5.mempty(as) : concat(head(as), prependToAll(tail(as)));
}

module.exports = intersperse;
