'use strict';

require('./curry.js');
require('./always.js');
require('./_branch.js');
require('./branch.js');
require('./id.js');
require('./chunk-ba04ad2f.js');
require('./chunk-d7703e54.js');
require('./variadic.js');
require('./compose.js');
var _append = require('./_append.js');
require('./append.js');
require('./flip.js');
require('./chunk-56a5551b.js');
require('./chunk-e6d921c6.js');
require('./chunk-ac19a55d.js');
require('./concat.js');
require('./_concatMap.js');
require('./_filter.js');
var _any = require('./_any.js');
require('./empty.js');
require('./head.js');
require('./tail.js');
require('./_prepend.js');
var _nubBy = require('./_nubBy.js');
var _fold = require('./_fold.js');

function unionBy(f, as, bs) {
  return _fold(function (cs, b) {
    return _any(function (a) {
      return f(a, b);
    }, as) ? cs : _append(b, cs);
  }, _nubBy(f, as), bs);
}

module.exports = unionBy;
